package com.hfkj.dao;

import com.hfkj.entity.BsMerPayConfig;
import com.hfkj.entity.BsMerPayConfigExample;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface BsMerPayConfigMapper extends BsMerPayConfigMapperExt {
    @SelectProvider(type=BsMerPayConfigSqlProvider.class, method="countByExample")
    long countByExample(BsMerPayConfigExample example);

    @DeleteProvider(type=BsMerPayConfigSqlProvider.class, method="deleteByExample")
    int deleteByExample(BsMerPayConfigExample example);

    @Delete({
        "delete from bs_mer_pay_config",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int deleteByPrimaryKey(Long id);

    @Insert({
        "insert into bs_mer_pay_config (mer_id, mer_no, ",
        "pay_platform, pay_mer_no, ",
        "pay_mer_key, hlt_inst_code, ",
        "hlt_mer_no, `status`, ",
        "create_time, update_time, ",
        "ext_1, ext_2, ext_3)",
        "values (#{merId,jdbcType=BIGINT}, #{merNo,jdbcType=VARCHAR}, ",
        "#{payPlatform,jdbcType=INTEGER}, #{payMerNo,jdbcType=VARCHAR}, ",
        "#{payMerKey,jdbcType=VARCHAR}, #{hltInstCode,jdbcType=VARCHAR}, ",
        "#{hltMerNo,jdbcType=VARCHAR}, #{status,jdbcType=INTEGER}, ",
        "#{createTime,jdbcType=TIMESTAMP}, #{updateTime,jdbcType=TIMESTAMP}, ",
        "#{ext1,jdbcType=VARCHAR}, #{ext2,jdbcType=VARCHAR}, #{ext3,jdbcType=VARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(BsMerPayConfig record);

    @InsertProvider(type=BsMerPayConfigSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(BsMerPayConfig record);

    @SelectProvider(type=BsMerPayConfigSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="mer_id", property="merId", jdbcType=JdbcType.BIGINT),
        @Result(column="mer_no", property="merNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="pay_platform", property="payPlatform", jdbcType=JdbcType.INTEGER),
        @Result(column="pay_mer_no", property="payMerNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="pay_mer_key", property="payMerKey", jdbcType=JdbcType.VARCHAR),
        @Result(column="hlt_inst_code", property="hltInstCode", jdbcType=JdbcType.VARCHAR),
        @Result(column="hlt_mer_no", property="hltMerNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    List<BsMerPayConfig> selectByExample(BsMerPayConfigExample example);

    @Select({
        "select",
        "id, mer_id, mer_no, pay_platform, pay_mer_no, pay_mer_key, hlt_inst_code, hlt_mer_no, ",
        "`status`, create_time, update_time, ext_1, ext_2, ext_3",
        "from bs_mer_pay_config",
        "where id = #{id,jdbcType=BIGINT}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="mer_id", property="merId", jdbcType=JdbcType.BIGINT),
        @Result(column="mer_no", property="merNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="pay_platform", property="payPlatform", jdbcType=JdbcType.INTEGER),
        @Result(column="pay_mer_no", property="payMerNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="pay_mer_key", property="payMerKey", jdbcType=JdbcType.VARCHAR),
        @Result(column="hlt_inst_code", property="hltInstCode", jdbcType=JdbcType.VARCHAR),
        @Result(column="hlt_mer_no", property="hltMerNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    BsMerPayConfig selectByPrimaryKey(Long id);

    @UpdateProvider(type=BsMerPayConfigSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") BsMerPayConfig record, @Param("example") BsMerPayConfigExample example);

    @UpdateProvider(type=BsMerPayConfigSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") BsMerPayConfig record, @Param("example") BsMerPayConfigExample example);

    @UpdateProvider(type=BsMerPayConfigSqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(BsMerPayConfig record);

    @Update({
        "update bs_mer_pay_config",
        "set mer_id = #{merId,jdbcType=BIGINT},",
          "mer_no = #{merNo,jdbcType=VARCHAR},",
          "pay_platform = #{payPlatform,jdbcType=INTEGER},",
          "pay_mer_no = #{payMerNo,jdbcType=VARCHAR},",
          "pay_mer_key = #{payMerKey,jdbcType=VARCHAR},",
          "hlt_inst_code = #{hltInstCode,jdbcType=VARCHAR},",
          "hlt_mer_no = #{hltMerNo,jdbcType=VARCHAR},",
          "`status` = #{status,jdbcType=INTEGER},",
          "create_time = #{createTime,jdbcType=TIMESTAMP},",
          "update_time = #{updateTime,jdbcType=TIMESTAMP},",
          "ext_1 = #{ext1,jdbcType=VARCHAR},",
          "ext_2 = #{ext2,jdbcType=VARCHAR},",
          "ext_3 = #{ext3,jdbcType=VARCHAR}",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int updateByPrimaryKey(BsMerPayConfig record);
}